Bug 166871 - Kopete nowlistening plugin doesn't detect the launch of Juk
Summary: Kopete nowlistening plugin doesn't detect the launch of Juk
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Unclassified
Component: Now Listening Plugin (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dennis Nienhüser
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-17 20:24 UTC by pierre
Modified: 2008-07-21 23:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch (414 bytes, patch)
2008-07-17 20:43 UTC, pierre
Details
Patch for all nowlistening supported players (1.68 KB, patch)
2008-07-18 11:17 UTC, pierre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre 2008-07-17 20:24:20 UTC
Version:           0.50.80 (using 4.1.00 (KDE 4.0.99 (4.1 RC1+)), Debian packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.25-2-amd64

Hi

If a user type /media without Juk (for instance) launched, Kopete says :
"Now Listening for Kopete - it would tell you what I am listening to, if I was listening to something on a supported media player."
But after launching Juk, the problem doesn't disappear until the nowlistening plugin is reloaded.

Thanks
 Pierre
Comment 1 pierre 2008-07-17 20:43:01 UTC
Created attachment 26219 [details]
Patch

This patch fixes the problem for juk.
I don't have much time to look at the other nowlistening supported players...
Comment 2 Dennis Nienhüser 2008-07-18 09:50:04 UTC
Looks valid according to the Qt documentation (can't test it right now). It affects all dbus players though in the nowlistening plugin, so the QDbusInterface creation should be moved out of the constructor for all of them. I'll have a look at it at the weekend.
Comment 3 pierre 2008-07-18 10:31:38 UTC
Ho, if you don't have much time, I can do a full patch, but I just won't be able to test it for every player supported by the plugin...
Comment 4 pierre 2008-07-18 11:17:37 UTC
Created attachment 26231 [details]
Patch for all nowlistening supported players

This improved patch fixes the support for every player using DBus... It also
removes the obsolete "TODO" in nlkscd since the dbus interface of kscd matches
what kopete uses...
Comment 5 Sergio Rafael Lemke 2008-07-21 21:50:08 UTC
Is this patch already applyed ? 
I still having this bug, kopete 'now playing' is not working with amarok2:
amarok-1.83-2mdv2009.0
kopete-4.0.98-1mdv2009.0

Thanks,
Sergio Rafael Lemke
Comment 6 Dennis Nienhüser 2008-07-21 22:14:36 UTC
No, not yet. Shouldn't take long though, I want to have it in 4.1.0 which is going to be tagged in some hours.
Comment 7 Dennis Nienhüser 2008-07-21 22:49:32 UTC
SVN commit 836173 by nienhueser:

Find media players that were started after the plugin was created. Patch by pierre, thanks for the patch!
CCBUG: 166871


 M  +5 -0      nlamarok.cpp  
 M  +5 -1      nljuk.cpp  
 M  +5 -0      nlkaffeine.cpp  
 M  +6 -3      nlkscd.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=836173
Comment 8 Dennis Nienhüser 2008-07-21 23:11:05 UTC
SVN commit 836184 by nienhueser:

Find media players that were started after the plugin was created. Patch by pierre, thanks for the patch!
Backport of commit 836173.
BUG: 166871 


 M  +5 -0      nlamarok.cpp  
 M  +5 -1      nljuk.cpp  
 M  +5 -0      nlkaffeine.cpp  
 M  +6 -3      nlkscd.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=836184